%**********************************************************
%*          ______    __  _____   _____   ___   __        *
%*         / __  /   / / / ___/  / ___/  /   | / /        *
%*        / /_/ /   / / / /__   / /__   / /| |/ /         *
%*       / __  \   / / /__  /  / ___/  / / | / /          *
%*      / /__/ /  / / ___/ /  / /__   / /  |  /           *
%*     /______/  /_/ /____/  /____/  /_/   |_/            *
%*                                                        *
%**********************************************************
%
% Automatically generated initial condition file
% Usage: x0 = TCA_x0( modelInfo )

function x0 = TCA_x0( modelInfo )

% Setting the initial values of model variables for in vitro simulation of
% LaNoue et al.'s and Bose et al.'s experiments

x0 = [];
x0 = setParameter( x0, modelInfo.SVarID, 'H_matrix' ,  5.7919e-008 );
x0 = setParameter( x0, modelInfo.SVarID, 'DPsi_im_to_matrix' ,  -1.4087e+001 );
x0 = setParameter( x0, modelInfo.SVarID, 'DPsi_cytoplasm_to_im' ,  0 );
x0 = setParameter( x0, modelInfo.SVarID, 'ATP_matrix' ,  1.0250e-011 );
x0 = setParameter( x0, modelInfo.SVarID, 'ADP_matrix' ,  1.0000e-002 );
x0 = setParameter( x0, modelInfo.SVarID, 'AMP_matrix' ,  1.0000e-006 );
x0 = setParameter( x0, modelInfo.SVarID, 'GTP_matrix' ,  2.7157e-010 );
x0 = setParameter( x0, modelInfo.SVarID, 'Pi_matrix'  ,  2.9918e-004 );
x0 = setParameter( x0, modelInfo.SVarID, 'NADH_matrix' , 8.4842e-021 );
x0 = setParameter( x0, modelInfo.SVarID, 'coQH2_matrix' , 0 );
x0 = setParameter( x0, modelInfo.SVarID, 'oxaloacetate_matrix', 8.9236e-004 );
x0 = setParameter( x0, modelInfo.SVarID, 'acetylcoA_matrix', 2.5507e-012 );
x0 = setParameter( x0, modelInfo.SVarID, 'citrate_matrix', 6.8151e-005 );
x0 = setParameter( x0, modelInfo.SVarID, 'isocitrate_matrix' , 9.3558e-007 );
x0 = setParameter( x0, modelInfo.SVarID, 'ketoglutarate_matrix', 4.7979e-011 );
x0 = setParameter( x0, modelInfo.SVarID, 'succinylcoA_matrix' , 6.9627e-010 );
x0 = setParameter( x0, modelInfo.SVarID, 'COAS_matrix', 3.0107e-003 );
x0 = setParameter( x0, modelInfo.SVarID, 'succinate_matrix', 2.1681e-007 );
x0 = setParameter( x0, modelInfo.SVarID, 'fumarate_matrix', 7.8476e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'malate_matrix', 3.2191e-008   );
x0 = setParameter( x0, modelInfo.SVarID, 'glutamate_matrix', 9.9311e-012 );
x0 = setParameter( x0, modelInfo.SVarID, 'aspartate_matrix', 1.0217e-004 );
x0 = setParameter( x0, modelInfo.SVarID, 'K_matrix' , 8.6878e-002 );
x0 = setParameter( x0, modelInfo.SVarID, 'M_matrix', 4.6388e-003 );
x0 = setParameter( x0, modelInfo.SVarID, 'O2aq_matrix' , 6.5000e-005 );
x0 = setParameter( x0, modelInfo.SVarID, 'CO2tot_matrix', 2.1400e-002 );
x0 = setParameter( x0, modelInfo.SVarID, 'cytocred_im', 9.6996e-008 );
x0 = setParameter( x0, modelInfo.SVarID, 'ATP_im', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'ADP_im', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'AMP_im', 1.0000e-009   );
x0 = setParameter( x0, modelInfo.SVarID, 'Pi_im', 1.1574e-004 );
x0 = setParameter( x0, modelInfo.SVarID, 'H_im', 10^(-7.2) );
x0 = setParameter( x0, modelInfo.SVarID, 'M_im', 5.0000e-003   );
x0 = setParameter( x0, modelInfo.SVarID, 'K_im', 1.5000e-001 );
x0 = setParameter( x0, modelInfo.SVarID, 'ATP_cytoplasm', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'ADP_cytoplasm', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'Pi_cytoplasm', 1.1574e-004 );
x0 = setParameter( x0, modelInfo.SVarID, 'H_cytoplasm', 10^(-7.2) );
x0 = setParameter( x0, modelInfo.SVarID, 'M_cytoplasm', 5.0000e-003 );
x0 = setParameter( x0, modelInfo.SVarID, 'K_cytoplasm', 1.5000e-001 );
x0 = setParameter( x0, modelInfo.SVarID, 'pyruvate_matrix', 1.2076e-011 );
x0 = setParameter( x0, modelInfo.SVarID, 'pyruvate_im', 9.1804e-010 );
x0 = setParameter( x0, modelInfo.SVarID, 'pyruvate_cytoplasm', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'citrate_im', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'citrate_cytoplasm', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'ketoglutarate_im', 9.9995e-010 );
x0 = setParameter( x0, modelInfo.SVarID, 'succinate_im', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'succinate_cytoplasm', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'malate_im', 1.0001e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'malate_cytoplasm', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'aspartate_im', 4.4404e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'aspartate_cytoplasm', 4.4404e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'glutamate_im', 5.7539e-012 );
x0 = setParameter( x0, modelInfo.SVarID, 'glutamate_cytoplasm', 5.7540e-012 );
x0 = setParameter( x0, modelInfo.SVarID, 'fumarate_im', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'fumarate_cytoplasm', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'isocitrate_im', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'isocitrate_cytoplasm', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'glucose_cytoplasm', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'glucose6phos_cytoplasm', 1.0000e-009 );
x0 = setParameter( x0, modelInfo.SVarID, 'AMP_cytoplasm', 1.0000e-009 );

CytochromeTotal = 2.7e-3;
NADTotal = 2.97e-3;
Qtot = 1.35e-3;
Creatine = 1e-9;
FADTotal = 1e-4;

% these are based on the rest of the pool sizes (mass balance)
x0 = setParameter( x0, modelInfo.SVarID, 'GDP_matrix', 5e-3 );
x0 = setParameter( x0, modelInfo.SVarID, 'cytocox_im', CytochromeTotal - 9.6996e-008 );
x0 = setParameter( x0, modelInfo.SVarID, 'NAD_matrix' , NADTotal - 8.4842e-021 );
x0 = setParameter( x0, modelInfo.SVarID, 'coQ_matrix' , Qtot );
x0 = setParameter( x0, modelInfo.SVarID, 'Pi_matrix' , 2.9918e-4 );
x0 = setParameter( x0, modelInfo.SVarID, 'Pi_im' , 1.1574e-4 );
x0 = setParameter( x0, modelInfo.SVarID, 'AMP_cytoplasm' , 1e-9 );
x0 = setParameter( x0, modelInfo.SVarID, 'AMP_im' , 1e-9 );
x0 = setParameter( x0, modelInfo.SVarID, 'ketoglutarate_cytoplasm' , 1e-9 );
