function pKa = convertpKa( pKa_in, beta_K, beta_H, charge, T_old, T_new, H, R )
% Copyright (C) 2008 Medical College of Wisconsin.
% All rights reserved.
% 
% This software is distributed freely for academic and non-profit use. It
% should not be distributed or used for any commercial purpose without
% written permission from the Medical College of Wisconsin. For details
% please see User License Agreement.

    pKa = pKa_in + beta_K;
    
    if ~isnan( H )
        % calculate reaction enthalpy ionic strength dependence assuming only
        % first order binding
        drH = drH + beta_H * ( ( charge - 1 )^2 + 1 - charge^2 ); 
        pKa = pKa + ( 1/T_new - 1/T_old ) * drH/(2.3026*R);
    end